ElectroNeek Documentation

Get info of a Bot Runner

This returns detailed information on a specific Bot Runner including all the workflows where the Bot Runner is assigned.


gethttps://api.{region}.electroneek.com/v1/orchestrator/bot-runner/{id}

{region} may be: na, cis, apac, latam, emea

Authentication

Use an API Token from the Orchestrator → Integrations page. Send it as a bearer token: Authorization: Bearer <token>.

path parameters

NameTypeRequiredDescription
idstringyesBot Runner ID

Response

200Success
Response body
object
iduuidrequired

ID of the Bot Runner

namestringrequired

Name of the Bot Runner

statusstring (ready, in_progress, offline)required

Status of the Bot Runner

versionstringrequired

Version of the Bot Runner

login_asobjectrequired

Organization's data to which the API key belongs. Starting from the version 7.0, we replaced the login-password connection of Orchestrator to Bot Runner with tokens

object
typestring
valuestring
host_namestringrequired

Name of the computer where Bot Runner is installed.

status_sincedate-time
assigned_workflowsarray of objects
object
iduuidrequired
namestringrequired
descriptionstringrequired
Updated